import { PrimaryColumn, Entity, ManyToOne, Relation } from "typeorm";
import { Feed } from "./Feed.js";

@Entity()
export class Post {
   @PrimaryColumn()
   hash: string;

   @ManyToOne(() => Feed, (feed) => feed.oldEntries)
   feed: Relation<Feed>;
}